Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xdb.dom
Class XDBAttribute

    java.lang.Object
      |
      +--oracle.xdb.dom.XDBNode
            |
            +--oracle.xdb.dom.XDBAttribute

All Implemented Interfaces:
  Attr, Node

public class XDBAttribute
extends XDBNode
implements Attr

This class implements the W3C DOM Node interface for interacting with XOBs.

Field Summary

Fields inherited from class oracle.xdb.dom.XDBNode
`m_conn, m_owner, m_xobcstate`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` | `getName()` Returns the name of the attribute.
`Element` | `getOwnerElement()` gets the owner element of the attribute; null if the attribute has not been attached to any element
`boolean` | `getSpecified()` specifies whether the attribute has been assigned a value
`java.lang.String` | `getValue()` get the value the attribute
`void` | `setValue(java.lang.String value)` set the value of the node

Methods inherited from class oracle.xdb.dom.XDBNode
`appendChild, cloneNode, close, equals, finalize, getAttributes, getChildNodes, getExpandedName, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeFromCState, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getQualifiedName, getSchemaNode, hasAttributes, hasChildNodes, hashCode, insertBefore, isClosed, isSupported, normalize, removeChild, replaceChild, setNodeValue, setNodeXob, setOwner, setPrefix, setXobCstate, toCState, toString, write`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of the attribute.
  Specified by:
    `getName` in interface `Attr`
  Returns:
    the name of the attribute

### getSpecified

    public boolean getSpecified()

  specifies whether the attribute has been assigned a value
  Specified by:
    `getSpecified` in interface `Attr`
  Returns:
    true if attribute has value false otherwise

### getValue

    public java.lang.String getValue()

  get the value the attribute
  Specified by:
    `getValue` in interface `Attr`
  Returns:
    the node name string, always null for this node.

### setValue

    public void setValue(java.lang.String value)
                  throws DOMException

  set the value of the node
  Specified by:
    `setValue` in interface `Attr`
  Returns:
    sub classes which have special handling should override this function
    `DOMException`

### getOwnerElement

    public Element getOwnerElement()

  gets the owner element of the attribute; null if the attribute has not been attached to any element
  Specified by:
    `getOwnerElement` in interface `Attr`
  Returns:
    the owner element

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.